Subject: bug#24639: 26.0.50; Terminal paste doesn't work right in term char mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Oct 2016 17:31:01 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sat, 15 Oct 2016 13:25:18 +0000
> Cc: [email-masked]
> 
> The complication arises because char-mode is per-buffer, but bracketed paste mode is per terminal. I've
> attached a patch now. 

Frankly, I hoped for a simpler solution that doesn't involve so much
non-trivial code.

I plan to release Emacs 25.2 very soon, like in a few weeks.  If you
are okay with installing this on the release branch given that
schedule, please go ahead.

Thanks.